org.apache.commons.compress.compressors.deflate

## Class DeflateCompressorInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.compress.compressors.CompressorInputStream
    - - org.apache.commons.compress.compressors.deflate.DeflateCompressorInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class DeflateCompressorInputStream
      extends CompressorInputStream

  Deflate decompressor.
  Since:
    1.9

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateCompressorInputStream(InputStream inputStream)` Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
    `DeflateCompressorInputStream(InputStream inputStream, DeflateParameters parameters)` Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches what is expected for a zlib / deflated file with the zlib header.
    `int` | `read()`
    `int` | `read(byte[] buf, int off, int len)`
    `long` | `skip(long n)`

    - ### Methods inherited from class org.apache.commons.compress.compressors.CompressorInputStream

      `count, count, getBytesRead, getCount, pushedBackBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateCompressorInputStream

          public DeflateCompressorInputStream(InputStream inputStream)

      Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
      Parameters:
        `inputStream` - where to read the compressed data

    - #### DeflateCompressorInputStream

          public DeflateCompressorInputStream(InputStream inputStream,
                                      DeflateParameters parameters)

      Creates a new input stream that decompresses Deflate-compressed data from the specified input stream.
      Parameters:
        `inputStream` - where to read the compressed data
        `parameters` - parameters

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] buf,
                 int off,
                 int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip(long n)
                    throws IOException

      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()
                        throws IOException

      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

    - #### matches

          public static boolean matches(byte[] signature,
                        int length)

      Checks if the signature matches what is expected for a zlib / deflated file with the zlib header.
      Parameters:
        `signature` - the bytes to check
        `length` - the number of bytes to check
      Returns:
        true, if this stream is zlib / deflate compressed with a header stream, false otherwise
      Since:
        1.10

Copyright © 2016 The Apache Software Foundation. All rights reserved.